document.addEventListener('DOMContentLoaded', () => {
  // Add smooth scrolling
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add table row hover effects
  const tableRows = document.querySelectorAll('tr');
  tableRows.forEach(row => {
    row.addEventListener('mouseenter', () => {
      row.style.transform = 'scale(1.01)';
      row.style.transition = 'transform 0.2s ease';
    });
    row.addEventListener('mouseleave', () => {
      row.style.transform = 'scale(1)';
    });
  });

  // Add responsive navigation
  const nav = document.createElement('nav');
  nav.innerHTML = `
    <div class="container">
      <ul>
        <li><a href="#introduction">Introduction</a></li>
        <li><a href="#career-paths">Career Paths</a></li>
      </ul>
    </div>
  `;
  document.body.insertBefore(nav, document.body.firstChild);
});
